Subject: IPR Trust - draft-carpenter-bcp101-update-02 and the IASA

From: John C Klensin <[email-masked]>
Date: Tue, 27 Sep 2005 16:56:24 -0400

Brian,

This is a fine document.  Perhaps appropriately, it doesn't say 
much of anything.

Is the actual trust agreement a secret, or does the IETF and 
IASA intend to make it public before the IESG approves it?  Will 
there be an IETF Last Call that includes an opportunity to 
review the document itself?

I note that the IASA web pages don't mention this at all except 
for a paragraph under "Draft Agreements".  That says

> Proposed IPR Trust
> The IAOC received on May 5th a new draft Trust Agreement from
> CNRI and is in the process of preparing a response. The IAOC
> expects that a revised Trust Agreement will be sent to CNRI in
> early June

And is presumably a bit out of date, given comments in the 
monthly report you circulated.   And, referring to that report, 
it also discusses new draft engagement agreements with Counsel 
and other draft agreements which are not mentioned on the IASA 
web site, much less available there.

I am sure all of this is fine, but the agreement with the 
community when IASA was formed was that all of these things 
would be public to the extent possible.  To the extent to which 
few or none of them appear to be available, and the IASA/IAOC 
does not seem to be able to keep its own web pages current and 
the community informed that way, rather than via just overview 
monthly reports, I think it should be a matter of concern to all 
of us.

    john

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: "Lucy E. Lynch" <[email-masked]>
Date: Tue, 27 Sep 2005 15:41:26 -0700 (PDT)

> review the document itself?

The actual document is still in review and and the on-going discussions
are privileged as they invole outside parties. I've just sent a summary of
our framework to the list (you anticipated me by a few minutes). The
document falls under the "contracts or equivalent instruments with outside
organizations" and IPR related duties of the IASA as outlined in section 3
of BCP 101 and as I understand this section is not subject to IETF Last
Call. We are making our best efforts to relay information as it becomes
available.

> > expects that a revised Trust Agreement will be sent to CNRI in

See the regular minutes posted here: http://koi.uoregon.edu/~iaoc/2.html

> web site, much less available there.

again, please see the minutes.

> monthly reports, I think it should be a matter of concern to all

we are working within the confines of "to the extent possible" and
hope to be able to share the document soon.

---

From: John C Klensin <[email-masked]>
Date: Tue, 27 Sep 2005 19:03:25 -0400

--On Tuesday, September 27, 2005 15:41 -0700 "Lucy E. Lynch" 
<[email-masked]> wrote:

>> This is a fine document.  Perhaps appropriately, it doesn't
>> say much of anything.
>>
>> IASA intend to make it public before the IESG approves it?
>> Will there be an IETF Last Call that includes an opportunity
>> to review the document itself?
>
> The actual document is still in review and and the on-going
> discussions are privileged as they invole outside parties.
> I've just sent a summary of our framework to the list (you
> anticipated me by a few minutes). The document falls under the
> "contracts or equivalent instruments with outside
> organizations" and IPR related duties of the IASA as outlined
> in section 3 of BCP 101 and as I understand this section is
> not subject to IETF Last Call.

But any new BCP, or modification to a BCP is.  And, whatever the 
negotiations might be that you need to get there, this isn't an 
"agreement with an outside organization", it is how IETF IPR is 
managed by the IASA and an IASA-relevant organization.   A claim 
that such a body is "outside" seems to me to be dubious in the 
extreme.

So, while IASA can probably form the trust in private and tell 
us what has been agreed later, changing the BCP to shift the 
IETF's rights designations from ISOC to something else requires, 
IMO clearly, IETF community approval, just as the decisions to 
shift things _to_ ISOC did.   And whether the community would be 
willing to agree to the draft Brian posted without being able to 
see _exactly_ how the trust is structured... well, I guess one 
could try to find out.

> We are making our best efforts
> to relay information as it becomes available.

Understood and appreciated.

>> I note that the IASA web pages don't mention this at all
>> except for a paragraph under "Draft Agreements".  That says
>>
>> > Proposed IPR Trust
>> > The IAOC received on May 5th a new draft Trust Agreement
>> > from CNRI and is in the process of preparing a response.
>> > The IAOC expects that a revised Trust Agreement will be
>> > sent to CNRI in early June
>
>> monthly report you circulated.   And, referring to that
>> report, it also discusses new draft engagement agreements
>> with Counsel and other draft agreements which are not
>> mentioned on the IASA web site, much less available there.
>

Lucy, I don't mean to be critical, but the whole IASA 
arrangement was created to provide a strong and easy-to-use 
framework for the community to get it work done.  From my point 
of view at least, that translates into keeping things organized 
enough that the community does not need to read every published 
set of minutes to know what is going on or to find an important 
document.  IASA has professional staff, that staff should either 
be keeping web pages up to date or, IMO, the IAOC has a problem 
which you should be solving on a timely basis, reporting in 
minutes if you can't solve immediately, etc.

>> would be public to the extent possible.  To the extent to
>> which few or none of them appear to be available, and the
>> IASA/IAOC does not seem to be able to keep its own web pages
>> current and the community informed that way, rather than via
>> just overview monthly reports, I think it should be a matter
>> of concern to all of us.
>
> we are working within the confines of "to the extent possible"
> and hope to be able to share the document soon.

Thank you.
     john

---

From: "Lucy E. Lynch" <[email-masked]>
Date: Tue, 27 Sep 2005 16:29:05 -0700 (PDT)

> that such a body is "outside" seems to me to be dubious in the

The Trust is a multi-party document (ISOC/CNRI/IETF) and the modification
to the BCP is meant to reflect a simple change in the putative IPR holder
going forward (from ISOC as defined in BCP101 to the Trust IF such a trust
should be formed). The change moves control of the IPR closer to the
IETF community. I'm not arguing that the Trust, once formed. is "outside"
but the parties forming the Trust include "outside" bodies (ISOC and
CNRI).

> minutes if you can't solve immediately, etc.

I'm maintaining the web site as a volunteer. The documents that we can
fully expose are available. We have a number of documents/contacts/etc
that can't be fully exposed (job applications, for example) due to
sensative content or on-going negotiations.

The minutes and the monthly reports are the best tool we have for
giving some insight into our process. They are developed from notes
taken by our volunteer scribe and are posted as they are approved.

---

From: John C Klensin <[email-masked]>
Date: Tue, 27 Sep 2005 20:08:02 -0400

--On Tuesday, September 27, 2005 16:29 -0700 "Lucy E. Lynch" 
<[email-masked]> wrote:

>> But any new BCP, or modification to a BCP is.  And, whatever
>> the negotiations might be that you need to get there, this
>> isn't an "agreement with an outside organization", it is how
>> IETF IPR is managed by the IASA and an IASA-relevant
>> organization.   A claim that such a body is "outside" seems
>> to me to be dubious in the extreme.
>
> The Trust is a multi-party document (ISOC/CNRI/IETF) and the
> modification to the BCP is meant to reflect a simple change in
> the putative IPR holder going forward (from ISOC as defined in
> BCP101 to the Trust IF such a trust should be formed). The
> change moves control of the IPR closer to the IETF community.
> I'm not arguing that the Trust, once formed. is "outside" but
> the parties forming the Trust include "outside" bodies (ISOC
> and CNRI).

Again, that justifies keeping the agreement private while you 
are negotiating.  I don't question that.  As I understand BCP 
101, you are even entitled to keep such agreements private from 
the IESG and IAB while you are negotiating them, informing those 
bodies and the community only on a need to know basis.  The 
question I was asking was whether the IAOC and/or the IESG 
expected the IETF community to approve a change in the BCP 
without seeing the final trust agreement.  If that answer is 
"no", then I think we have a problem since this is a new entity 
that is not intrinsically bound to the same requirements for 
public and open behavior that apply to ISOC and the various IASA 
elements.

>...

>> framework for the community to get it work done.  From my
>> point of view at least, that translates into keeping things
>> organized enough that the community does not need to read
>> every published set of minutes to know what is going on or to
>> find an important document.  IASA has professional staff,
>> that staff should either be keeping web pages up to date or,
>> IMO, the IAOC has a problem which you should be solving on a
>> timely basis, reporting in minutes if you can't solve
>> immediately, etc.
>
> I'm maintaining the web site as a volunteer. The documents
> that we can fully expose are available. We have a number of
> documents/contacts/etc that can't be fully exposed (job
> applications, for example) due to sensative content or
> on-going negotiations.

I apologize if this sounds like micromanagement, but, if the 
IASA, which was put together in large measure to move 
administrative tasks from IETF volunteers to professional staff, 
requires you to maintain the web site as a volunteer, then 
something is broken.  That web site and its maintenance is part 
of the administrative function and is required under the IASA 
BCP to keep the IETF community informed.   The IASA staff needs 
to maintain it or make arrangements to keep it current and 
comprehensive, with no excuses.

> The minutes and the monthly reports are the best tool we have
> for giving some insight into our process. They are developed
> from notes taken by our volunteer scribe and are posted as
> they are approved.

I probably have the same comment about "volunteer scribe" that I 
do about "volunteer web page".  That is how we used to do 
things, but it is part of the problem the IASA was formed to 
solve.

     john

---

From: Jeffrey Hutzelman <[email-masked]>
Date: Tue, 27 Sep 2005 23:02:47 -0400

On Tuesday, September 27, 2005 08:08:02 PM -0400 John C Klensin 
<[email-masked]> wrote:

> Again, that justifies keeping the agreement private while you are
> negotiating.  I don't question that.  As I understand BCP 101, you are
> even entitled to keep such agreements private from the IESG and IAB while
> you are negotiating them, informing those bodies and the community only
> on a need to know basis.  The question I was asking was whether the IAOC
> and/or the IESG expected the IETF community to approve a change in the
> BCP without seeing the final trust agreement.  If that answer is "no",
> then I think we have a problem since this is a new entity that is not
> intrinsically bound to the same requirements for public and open behavior
> that apply to ISOC and the various IASA elements.

I think you mean "If that answer is 'yes', ...".

I would hope that whatever trust agreement is reached provides for the same 
level of openness that we require of the IAOC.  Obviously we won't know 
until we see the final trust agreement.  I don't see how the IETF can 
possibly be expected to approve the proposed changes to BCP 101 without 
seeing that document.  I also believe it would be inappropriate for the 
trust to be formed and handed all of the IETF's IPR until those changes 
have been approved.

So, it seems to me like the process has to go something like this:

1) IAOC and CNRI reach a mutually-acceptable Trust Agreement
2) IAOC makes that document available to the IETF
3) IETF Last Call on the BCP 101 changes
4) Publish new BCP 101
5) Form the trust, using the agreement published in (2)

> I apologize if this sounds like micromanagement, but, if the IASA, which
> was put together in large measure to move administrative tasks from IETF
> volunteers to professional staff, requires you to maintain the web site
> as a volunteer, then something is broken.  That web site and its
> maintenance is part of the administrative function and is required under
> the IASA BCP to keep the IETF community informed.   The IASA staff needs
> to maintain it or make arrangements to keep it current and comprehensive,
> with no excuses.

Cut them some slack, John.  Last I checked, the IASA didn't have "a 
professional staff"; it had one person.  The document I remember didn't 
require the ISOC to provide staff to maintain the IASA's web site, take 
minutes, etc, and it didn't empower the IAD to hire such staff, either. 
They're supposed to contract that stuff out to competent entities, and that 
process is still just starting.  In the meantime, assuming that all of the 
documents that can be made available are, as Lucy says they are, then I 
don't think lack of a professional webmaster is preventing the IASA from 
meeting its reporting obligations.

> I probably have the same comment about "volunteer scribe" that I do about
> "volunteer web page".  That is how we used to do things, but it is part
> of the problem the IASA was formed to solve.

See above, but more so.  I understand the IESG benefits enormously from 
having agendas, minutes, and the like handled by a professional who I'm 
told is very good at what she does.  Maybe the IAOC would benefit in the 
same way, and maybe not, but I think that's something we can safely let 
them figure out for themselves.

-- Jeff

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 28 Sep 2005 09:14:47 +0200

John C Klensin wrote:
...
> even entitled to keep such agreements private from the IESG and IAB 
> while you are negotiating them, informing those bodies and the community 
> only on a need to know basis.  The question I was asking was whether the 
> IAOC and/or the IESG expected the IETF community to approve a change in 
> the BCP without seeing the final trust agreement.  If that answer is 
> "no", then I think we have a problem since this is a new entity that is 
> not intrinsically bound to the same requirements for public and open 
> behavior that apply to ISOC and the various IASA elements.

On a point of information, the last call for this draft (-01 version)
ended on September 22, and the -02 version is the update according to
the very few last call comments received. The diffs can be seen at
http://www.ops.ietf.org/Diff-draft-carpenter-bcp101-update-01_txt-draft-carpenter-bcp101-update-02_txt.htm

Now as to John's point, it's one I and the IESG are very sensitive to.
However, Lucy has explained why the IAOC's hands are tied.
I can't tell you what the IESG will decide in tomorrow's
telechat. For the record, I'm recused from the ballot.

    Brian

---

From: John C Klensin <[email-masked]>
Date: Wed, 28 Sep 2005 04:35:13 -0400

--On Tuesday, September 27, 2005 23:02 -0400 Jeffrey Hutzelman 
<[email-masked]> wrote:

> See above, but more so.  I understand the IESG benefits
> enormously from having agendas, minutes, and the like handled
> by a professional who I'm told is very good at what she does.
> Maybe the IAOC would benefit in the same way, and maybe not,
> but I think that's something we can safely let them figure out
> for themselves.

I am delighted to have them "figure it out for themselves". 
But, IMO, the IASA came into being based on some promises about 
openness and accessibility to information mae to the community. 
So, to me, "figure it out for themselves" is just fine as long 
as things are getting done to the standard that those agreements 
assumed.  I suggest that they are not and hence that some 
community discussion is in order.

      john